moeoVectorUnaryMetric(3)

NAME
moeoVectorUnaryMetric - Base class for unary metrics dedicated to the performance evaluation of a Pareto set (a vector of objective vectors).

SYNOPSIS

#include <moeoMetric.h>

Inherits moeoUnaryMetric< const std::vector< ObjectiveVector > &, R >.

Detailed Description

  template<class ObjectiveVector, class R> class moeoVectorUnaryMetric< ObjectiveVector, R >
Base class for unary metrics dedicated to the performance evaluation of a Pareto set (a vector of objective vectors).

Definition at line 53 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.